rlvm (0.14-2.1build2) zesty; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 06 Nov 2016 14:56:28 -0500

rlvm (0.14-2.1build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:43:08 +0000

rlvm (0.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Logan Rosen ]
  * debian/patches/include-iostream.patch: Grab patch from upstream to include
    iostream header and fix FTBFS (Closes: #831207).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Aug 2016 18:24:56 +0200

rlvm (0.14-2) unstable; urgency=low

  * Fix old ttf-japanese-gothic dependencies. (Closes: #805343)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 18 Nov 2015 14:45:07 +0800

rlvm (0.14-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.6: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 22 Oct 2014 03:24:19 +0800

rlvm (0.13.1-1) unstable; urgency=low

  [ Elliot Glaysher <glaysher@umich.edu> ]
  * New upstream release
    - Fix crash on the Clannad loading screen on certain OpenGL drivers.
    - Fix order of font loading to prefer working fonts on Linux.

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Bump Standards-Version to 3.9.5: nothing needs to be changed
  * Update rlvm.6 from /debian.upstream

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 22 Mar 2014 20:55:36 +0800

rlvm (0.13-1) unstable; urgency=low

  * New upstream release
    - rlvm will now warn on startup when it detects Japanese save data, but
      English patched game files, and offer to reset the save data.
    - Much better support for Little Busters. Most graphical glitches during
      the Little Busters Refrain have been fixed.
    - TCC tone curve effects have been reverse-engineered and implemented
      (thanks to lurkmoar)
    - Sepia scenes (and other graphical filters) should look much better.
    - Simple shake commands implemented (fancy per-layer shaking still
      unimplemented).
    - Make animations smooth: data should be uploaded to the graphics card
      before an animation loop starts, not while the animation loop is
      running.
    - Fixes finding system fonts on Linux
    - Thanks to Elliot Glaysher <glaysher@umich.edu>
  * Remove upstreamed patches:
    - debian/patches/002_675426ad62bccf1de10b0ae31dd46331ec47aacb.patch
    - debian/patches/003_5dafabf5448635c4d4526d6e35ea7ec664a27261.patch
    - debian/patches/004_boost-drop-mt.patch
    - debian/patches/005_missing-include.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 02 Nov 2013 02:57:13 +0800

rlvm (0.12-5) unstable; urgency=low

  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]
  * Drop obsolete -mt suffixes from boost libraries.
  * Add missing include in TextPage.hpp

  [ Colin Watson <cjwatson@ubuntu.com> ]
  * Rebuild for libglew1.8.
  
  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Merge Ubuntu's changes.
    - Import 2 patches from the upstream git tree.
      - 002_675426ad62bccf1de10b0ae31dd46331ec47aacb.patch
      - 003_5dafabf5448635c4d4526d6e35ea7ec664a27261.patch
  * Fix the FTBFS (Closes: #725558)
  * Bump Standards-Version to 3.9.4: nothing needs to be changed
  * Bump debhelper compat version from 7 to 9.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 10 Oct 2013 03:09:54 +0800

rlvm (0.12-4) unstable; urgency=low

  * Add proper Build-Depends (Closes: #672944)
    - Add libogg-dev, libvorbis-dev, libpng-dev
  * Update debian/copyright to latest v1.0 format
    - Remove comma in Files field
  * Bump Standards-Version to 3.9.3: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 16 May 2012 03:44:49 +0800

rlvm (0.12-3) unstable; urgency=low

  * Remove libjpeg62-dev from Build-Depends (Closes: #634286)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 21 Jul 2011 13:11:58 +0800

rlvm (0.12-2) unstable; urgency=low

  * Use libjpeg-dev in Build-Depends. (Closes: #634286)
  * Build gtest/gmock as system don't provide shared libraries now.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 20 Jul 2011 14:11:39 +0800

rlvm (0.12-1) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * New upstream release
  
  [ Elliot Glaysher <glaysher@umich.edu> ]
  * New GTK+ interface with desktop integration and UI refinements
  * Partial Japanese localizations
  * Fix graphics corruption in in-game dialogs when a dialog is brought
    up, and then fullscreen mode activated
  * Smooth the output of text in rlBabel using games
  * Don't play voice samples while fast forwarding

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 19 May 2011 00:28:44 +0800

rlvm (0.11-2) unstable; urgency=low

  * debian/patches/002_port_to_boost_146.patch: Fix FTBFS (Closes: #624910)
  * Bump Standards-Version to 3.9.2: nothing need to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 03 May 2011 03:21:03 +0800

rlvm (0.11-1) unstable; urgency=low

  * New upstream release
    - Fixed FTBFS with gcc-4.5 (Closes: #565072)

  [ Ying-Chun Liu (PaulLiu) ]
  * Remove debian/patches/002_fix_missing_include.patch: upstream included
  * Update debain/copyright to dep-5 rev 173

  [ Elliot Glaysher <glaysher@umich.edu> ]
  * Fix graphical defects in Clannad
  * Implement voice replay buttons in scrollback
  * Implement the "Return to Previous Selection" feature
  * Several efficiency fixes.
  * Fix the location of the name window in most games.
  * Fix graphical defects in Clannad

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 16 Mar 2011 16:06:56 +0800

rlvm (0.10-1) unstable; urgency=low

  * New upstream release
    - Tomoyo After Memorial Edition support.
    - Planetarian voice support.
    - Fix multiple errors in the handling of glosses.
    - Multiple crashers/graphics fixes.
  * Remove 003_port_to_gtest1.4.0.patch: Use google-mock now.
  * Add 002_fix_missing_include.patch: Fix missing include of header files.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 06 Feb 2011 16:29:39 +0800

rlvm (0.09-1) unstable; urgency=low

  * New upstream release
    - Preliminary support for Little Busters! (No support for Ectasy yet.)
    - Fix saving the current graphics state in most games.
    - Hide unavailable options in select() calls.
  * Bump Standards-Version to 3.9.1: nothing need to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 10 Nov 2010 22:46:10 +0800

rlvm (0.08-1) unstable; urgency=low

  * New upstream release
  * Remove 002_Disable_OpenGL_abort.patch: already in upstream
  * Bump Standards-Version to 3.8.4: nothing need to be changed
  * Remove some changes in 001_Use_system_library.patch: already in upstream

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 06 Mar 2010 08:17:59 +0800

rlvm (0.07-1) unstable; urgency=low

  * Make package to non-native.
  * Use DebSrc3.0 to override debian sub-directory in source tarball.
  * Refine copyright file: Use machine readable format
  * Add 001_Use_system_library.patch: Don't use embedded library when there
    are same library already in Debian sid.
  * Add 002_Disable_OpenGL_abort.patch: Don't abort when OpenGL error. Print
    error messages instead.
  * Add 003_port_to_gtest1.4.0.patch: Port to gtest 1.4.0 which is in sid.
  * Initial release (Closes: #535024)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 17 Dec 2009 17:07:16 +0800

rlvm (0.7) unstable; urgency=low

  * AIR Standard Edition can be completed, along with a few other games.
  * Fix intermittent crashes after loading saved games.
  * Prevernt text boxes from being positioned offscreen.
  * Implement shadows on text.
  * Support KOE voice archives.
  * Support loose ogg vorbis file voice patches.
  * Chinese and Korean rlBabel support compiled in by default. (I can't
    find any patches so this is untested).
  * Large number of small graphical fixes, including faces in text boxes,
    visual appearance of #SELBTNs (such as in Fuuko's route), and various
    shading effects.

 -- Elliot Glaysher <glaysher@umich.edu>  Sun, 15 Nov 2009 14:04:59 -0800

rlvm (0.6.3) unstable; urgency=low

  * Add fullscreen mode.
  * Internal unit testing changes.

 -- Elliot Glaysher <glaysher@umich.edu>  Sat, 15 Aug 2009 12:14:58 -0700

rlvm (0.6.2) unstable; urgency=low

  * Fixes regression where G00 animations weren't being played (Seen in
    Planetarian.)
  * Fixes regression where Yumemi's face in the final scene in Planetarian
    was being drawn twice because of poor clip rect handling.
  * Support for English patches compiled with debugging symbols stripped.
  * Temporarily disables scrollback due to crash that will be invasive to
    fix.

 -- Elliot Glaysher <glaysher@umich.edu>  Sun, 21 Jun 2009 13:51:58 -0700

rlvm (0.6.1) jaunty; urgency=low

  * rlvm now has basic (beta) support for the Baka-Tsuki CLANNAD English patch
    applied to CLANNAD_FV.
  * Minor bug fixes to normal CLANNAD_FV.

 -- Elliot Glaysher <glaysher@umich.edu>  Fri, 22 May 2009 20:00:45 -0700

rlvm (0.6) unstable; urgency=low

  * CLANNAD_FV is now playable to the end.
  * Supports selection buttons.
  * Supports OVK voice archives.

 -- Elliot Glaysher <glaysher@umich.edu>  Sat, 18 Apr 2009 20:10:57 -0700

rlvm (0.5) unstable; urgency=low

  * Kanon is now playable with NDT's English teaser patch
  * Fix a large number of graphical glitches including the calendar in
    Kanon blinking in and out and the CGs at the end of routes in CLANNAD
    not always clearing as the end credits are displayed.
  * New Kanon save games will restore the graphical contents of the screen
    properly; old Kanon save files will show a black background.
  * Fix OpenGL 1.4 support; Version 0.4 only worked on OpenGL 2.0 or higher
    graphics cards.

 -- Elliot Glaysher <glaysher@umich.edu>  Sat, 17 Jan 2009 12:00:03 -0800

rlvm (0.4) unstable; urgency=low

  * CLANNAD is now playable from a clean file to After Story True End. No
    testing has been done on side routes, though they may be playable.
  * All routes in Kanon Standard Edition are playable and have been tested.
  * There's now a partial default interface, allowing basic operations and a
    default save/load interface in games that don't provide their own (such as
    Kanon).
  * NOTE: There is still no support for rlBabel; text in translation
    patches still won't display correctly.

 -- Elliot Glaysher <glaysher@umich.edu>  Tue, 09 Dec 2008 19:55:00 -0800

rlvm (0.3) unstable; urgency=low

  * CLANNAD is playable through the end of Nagisa's route.
  * Replace name variables in text, such as '*A' as 'Tomoya' in CLANNAD.
  * Kanon SE is now playable past "Last Regrets," but the lack of loading
    or saving makes actual playing impracticle.
  * Reduce the memory footprint by keeping the last 100 pages of text in the
    scrollback buffer. Previously, the scrollback buffer was unbounded.
  * Scrolling through previous pages of text no longer crashes Planetarian.
  * Fix performance on the CLANNAD main menu.
  * Fix multiple crashing bugs.

 -- Elliot Glaysher <glaysher@umich.edu>  Sat, 04 Oct 2008 12:16:29 -0700

rlvm (0.2) unstable; urgency=low

  * Adds background music and sound effect support.
  * Adds custom cursor support.

 -- Elliot Glaysher <glaysher@umich.edu>  Tue, 24 Jul 2008 20:56:03 -0700

rlvm (0.1) unstable; urgency=low

  * Initial Release.
  * Compatible with Planetarian.

 -- Elliot Glaysher <glaysher@umich.edu>  Wed, 16 Apr 2008 20:38:12 -0700
